﻿using Syncfusion.Windows.Controls.Navigation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfTreeNavigatorWPF_135662
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Invoked when selection changed.
        /// </summary>
        private void SfTreeNavigator_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SfTreeNavigator sftree = (sender as SfTreeNavigator);
            if (((sender as SfTreeNavigator).SelectedItem is SfTreeNavigatorItem))
            {
                //Color which applies to child item after navigation
                if (((sender as SfTreeNavigator).SelectedItem as SfTreeNavigatorItem).HasItems)
                {
                    foreach (SfTreeNavigatorItem item in (sftree.SelectedItem as SfTreeNavigatorItem).Items)
                    {
                        item.Background = new SolidColorBrush(Colors.DeepSkyBlue);
                    }
                }
            }
        }
    }
}
